# Today this won't work with C9S because NVIDIA only
# provides pre-compiled drivers for RHEL.  Think of
# this image as a standin.
FROM quay.io/centos-bootc/centos-bootc:stream9
# Add our configuration
COPY etc/ /etc/
COPY usr/ /usr/
# Enable cloud-init for logins
RUN dnf -y module install nvidia-driver:545 && \
    dnf install -y nvidia-container-toolkit && \
    rm /var/log/*.log /var/lib/dnf -rf
